package com.liquidnet.service.kylin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel(value = "KylinStationTicketVo", description = "票种统计信息")
@Data
public class KylinStationTicketVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 1303234075649915021L;
    @ApiModelProperty(position = 10, value = "票种ID[64]")
    private String ticketsId;
    @ApiModelProperty(position = 11, value = "类型[1-单日票,2-通票]")
    private String type;
    @ApiModelProperty(position = 12, value = "名称[32]")
    private String title;
    @ApiModelProperty(position = 13, value = "单价(8,2)")
    private BigDecimal price;
    @ApiModelProperty(position = 14, value = "适用开始时间")
    private String useStart;
    @ApiModelProperty(position = 15, value = "适用结束时间")
    private String useEnd;
    @ApiModelProperty(position = 16, value = "票房")
    private BigDecimal priceSum;
    @ApiModelProperty(position = 17, value = "票量[9]")
    private Integer number;
    @ApiModelProperty(position = 18, value = "已验票量[9]")
    private Integer checkedNum;
    @ApiModelProperty(position = 19, value = "余量[9]")
    private Integer remainderNum;

    private static final KylinStationTicketVo obj = new KylinStationTicketVo();

    public static KylinStationTicketVo getNew() {
        try {
            return (KylinStationTicketVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinStationTicketVo();
        }
    }
}
